Subject: bug#32106: 25.2: tabulated-list-resize-current-column [PATCH INCLUDED]

From: Drew Adams <[email-masked]>
Date: Mon, 24 Jun 2019 06:56:49 -0700 (PDT)

> I'm okay with all of Drew's modifications. Thanks, Drew.

Thanks for doing this, Boruch.

I think mouse manipulation would be a plus, but I don't expect anyone will do that anytime soon.  That might even call for some work at the C level, I'm guessing.

Users can drag Emacs-window borders, for example, but we don't have the kind of thing Eli is suggesting for most other Emacs graphic thingies, such as menu-bar menu names, tool-bar icons, header-line components, and mode-line components (and inline images?).

You can't drag their boundaries to resize them, and you can't drag them (accessing them away from the boundaries) across each other to reorder them.

The case for `tabulated-list-mode' column headers is, I imagine, a special case of header-line components.

It would be good, indeed, if Someone(TM) were to add the ability to do such mouse-dragging things at a fairly general level.  I'm not holding my breath, however.